=== debian/changelog ===
nfs-ganesha (2.4.5-2~bpo9+1) stretch-backports; urgency=medium

  * Backports rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 30 Aug 2017 14:20:21 +0200

nfs-ganesha (2.4.5-2) unstable; urgency=medium

  * add nfsrefer patch

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 28 Apr 2017 15:48:18 +0200

nfs-ganesha (2.4.5-1~bpo9+1) stretch-backports; urgency=medium

  * Backports rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 29 Jun 2017 17:37:21 +0200

nfs-ganesha (2.4.5-1) unstable; urgency=medium

  [ Christoph Martin ]
  * Imported Upstream version 2.4.5 (closes: #859645)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 28 Apr 2017 14:03:00 +0200

nfs-ganesha (2.4.4-3) unstable; urgency=medium

  * include missing nfs-ganesha-config.sh (closes: #859955)
  * fix reload of nfs-ganesha service via SIGHUP (closes: 860042)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 24 Apr 2017 17:22:29 +0200

nfs-ganesha (2.4.4-2) unstable; urgency=medium

  * link with libatomic if necessary (closes: #859763)
  * remove src/NodeList files from copyright

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 07 Apr 2017 16:52:53 +0200

nfs-ganesha (2.4.4-1) unstable; urgency=medium

  [ Christoph Martin ]
  * Imported Upstream version 2.4.4

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 04 Apr 2017 16:19:01 +0200

nfs-ganesha (2.4.0-1) experimental; urgency=medium

  [ Kaleb S. KEITHLEY ]
  * nfs-ganesha 2.4.0 GA

  [ Christoph Martin ]
  * first Debian release
  * add gluster 7.3.8.6 patch

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 16 Jan 2017 17:47:48 +0100

nfs-ganesha (2.3.2-2) stretch; urgency=medium

  * nfs-ganesha 2.3.2 GA

 -- Kaleb S. KEITHLEY <kkeithle@redhat.com>  Thu, 23 Jun 2016 15:30:00 +0200

nfs-ganesha (2.3.2-1) stretch; urgency=medium

  * nfs-ganesha 2.3.2 GA

 -- Kaleb S. KEITHLEY <kkeithle@redhat.com>  Tue, 21 Jun 2016 15:30:00 +0200

nfs-ganesha (2.3.0-1) stretch; urgency=medium

  * nfs-ganesha 2.3.0 GA + FSAL_GPFS/export.c patch BZs 1300842, 1300845

 -- Kaleb S. KEITHLEY <kkeithle@redhat.com>  Thu, 26 Feb 2016 15:30:00 +0200

nfs-ganesha (2.2.0-1) stable; urgency=low

  * Ganesha supports granting delegations
  * There have been numerous config changes
  * Ganesha now includes systemd scripts
  * Improved packaging for RPM and Debian
  * Major stability improvements
  * non-QT based python tools
  * Support for Ganesha to be a pNFS DS only, no MDS
  * SECINFO in preferred order
  * LTTng support
  * NFS v4.2 support
  * Major improvements in 9p support
  * Code cleanup (checkpatch and Coverity)
  * ntirpc improvements
  * FSAL_GLUSTER updated with pNFS and ACL support and more

 -- Philippe Deniel <philippe.deniel@cea.fr>  Wed, 22 Apr 2015 15:30:00 +0200

nfs-ganesha (2.1.0-1) stable; urgency=low

  * Updates for the debian packaging using the cmake build system

 -- Charles Hardin <ckhardin@gmail.com>  Fri, 29 Aug 2014 20:18:45 +0000

nfs-ganesha (1.5.0-1) stable; urgency=low
  * TIRPC library was significantly refurbished with bi-directional RPC support (required for NFSv4.1 backchannels)
  * Multiple RPC dispatch is now supported
  * Cache inode has been reworked on its handling of directory entries
  * Cache inode readdir logic is now based on callbacks to take advantage of AVL tree work
  * State Management has been unified and improved. Locking is consistent across both NFSv3 and NFSv4.x
  * Client id management support has been added	
  * 9p.2000L support has been added. Dev is currently under alpha version
  * Improved file handle support. Handles's versions and variable length handles are better supported.
  * Memory allocation has been refactored. TC-Malloc or Jemalloc can be use with a fallback to libC's malloc/free
  * Improved Kerberos support. Compatibility with Microsoft AD Kerberos is improved.
  * FSAL_SNMP is now officially deprecated

 -- Philippe Deniel <philippe.deniel@cea.fr>  Mon, 16 Jul 2012 11:11:00 +0200

nfs-ganesha (1.4.0-1) stable; urgency=low
  * Bug Fix: Memory leak fixed in RPC's DRC
  * Bug Fix: Bad computation of rbt_value in RPC's DRC's hashtable 
  * New FSAL_CEPH (dedicated to the ceph filesystem)
  * pNFS code refurbished with CEPH specific code and layout file support
  * All RPCs are now based on TIRPC	
  * Bug Fix: in nfs_Write, for clean handle of umask, the server should allow the owner of a file to write to it, even if the file is read-only
  * Bug Fix: bad memory padding in fsal_handle_t and fsal_cookie_t

 -- Philippe Deniel <philippe.deniel@cea.fr>  Thu, 15 Mar 2012 10:41:00 +0200

nfs-ganesha (1.3.0-1) stable; urgency=low
  * Lustre FSAL: exporting several Lustre filesystem with the same server
  * A bug was found and fix in OP4_READDIRPLUS (produced missing entries)
  * Directory content cached is now managed as a tree. 
  *  Lock support for FSAL_LUSTRE
  * Lustre FSAL: regression in readdir detected and fixed
  * FSAL_LUSTRE/FSAL_XFS/FSAL_FUSELIKE/FSAL_ZFS: regression in readdir detected
  * export list now support IP ranges using the CIDR format

 -- Philippe Deniel <philippe.deniel@cea.fr>  Fri, 23 Dec 2011 10:00:00 +0200

nfs-ganesha (1.2.0-1) stable; urgency=low
  * Bug Fix:  Call cache_inode_close after deleting share state
  * Added support for ERR_FSAL_DELAY in upper layer
  * FSAL code has been reorganized a lot
  * New SAL (State Abstraction Layer) to manage locks (NFSv4/NLM) and shares
  * Symbolic Links are managed via a pool to save memory in Cache_Inode
  * Early 9P support
  * Lustre FSAL: exporting several Lustre fuilesystem with the same server

 -- Philippe Deniel <philippe.deniel@cea.fr>  Mon, 12 Dec 2011 11:11:11 +0200

nfs-ganesha (1.1.1-1) stable; urgency=low
  * Bug Fix: padded size for FSAL-less daemon were too short and not aligned on 64 bits
  * Bug Fix: Badly formed fsal_op_context_t in FSAL_ZFS (issue when using as shared object)
  * Bug Fix: bad modes/ACLs management in several FSALs (produced EPERM errors)
  * Bug Fix: badly managed access_type in nfs3_Access

