=== debian/control ===
Source: nfs-ganesha
Section: net
Priority: optional
Maintainer: Philippe Deniel <philippe.deniel@cea.fr>
Uploaders: Christoph Martin <martin@uni-mainz.de>
Standards-Version: 3.9.8
Homepage: https://github.com/nfs-ganesha/nfs-ganesha
Build-Depends: debhelper (>= 9),
               quilt,
               bison,
               flex,
               cmake,
               libdbus-1-dev,
               libnfsidmap-dev,
               libwbclient-dev,
               libntirpc-dev (>= 1.4.3),
               libkrb5-dev,
               libblkid-dev,
               libattr1-dev,
               libacl1-dev,
               xfslibs-dev,
               uuid-dev,
               libcap-dev,
               glusterfs-common (>= 3.8.8),
               python-dev,
               dh-python,
               python-qt4,
               pyqt4-dev-tools,
               pkgconf,
	       libatomic-ops-dev
Vcs-Git: https://anonscm.debian.org/git/collab-maint/nfs-ganesha.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nfs-ganesha.git

Package: nfs-ganesha
Multi-Arch: foreign
Architecture: any
Depends: dbus, nfs-common, rpcbind,
         ${perl:Depends},
         ${misc:Depends},
	 ${shlibs:Depends},
         daemon
Description: NFS server in User Space
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains the binaries

Package: nfs-ganesha-fsal
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
         nfs-ganesha (=${binary:Version}),
         glusterfs-common (>= 3.8.8)
Description: nfs-ganesha fsal libraries
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains the File System Abstraction Layer (FSAL) libraries

Package: python-nfs-ganesha
Pre-Depends: ${misc:Pre-Depends}
Architecture: all
Section: python
Provides: ${python:Provides}
Depends: python-dbus,
         python-qt4,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for nfs-ganesha
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains Python bindings for nfs-ganesha admin

Package: nfs-ganesha-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Description: Documentation for nfs-ganesha
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains documentation and examples for nfs-ganesha
