=== debian/watch ===
version=3

 https://github.com/nfs-ganesha/nfs-ganesha/releases \
  .*/archive/[Vv]?(\d[\d\.]+)\.tar\.(?:gz|bz2|xz)
