## nfs-ganesha 2.5.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,10 +17,10 @@
 project(nfs-ganesha C CXX)
 # Project versioning
 set(GANESHA_MAJOR_VERSION 2)
-set(GANESHA_MINOR_VERSION 4)
+set(GANESHA_MINOR_VERSION 5)
 
 IF(CMAKE_BUILD_TYPE STREQUAL "Release" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
-set(GANESHA_BUILD_RELEASE 1)
+set(GANESHA_BUILD_RELEASE 3)
 ELSE()
 set(GANESHA_BUILD_RELEASE 0)
 ENDIF(CMAKE_BUILD_TYPE STREQUAL "Release" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
@@ -29,22 +29,22 @@
 IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT OR CMAKE_INSTALL_PREFIX STREQUAL "/usr")
 	SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "Install prefix for common files" FORCE)
 	message(STATUS "override default CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")
-	SET(SYSCONFDIR "/etc" CACHE PATH "Install prefix for common files" FORCE)
-	SET(SYSSTATEDIR "/var" CACHE PATH "Install prefix for common files" FORCE)
+	SET(SYSCONFDIR "/etc" CACHE PATH "Install prefix for common files")
+	SET(SYSSTATEDIR "/var" CACHE PATH "Install prefix for common files")
 ELSE()
 	message(STATUS "was set CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")
-	SET(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE PATH "Install prefix for common files" FORCE)
-	SET(SYSSTATEDIR "${CMAKE_INSTALL_PREFIX}/var" CACHE PATH "Install prefix for common files" FORCE)
+	SET(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE PATH "Install prefix for common files")
+	SET(SYSSTATEDIR "${CMAKE_INSTALL_PREFIX}/var" CACHE PATH "Install prefix for common files")
 ENDIF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT OR CMAKE_INSTALL_PREFIX STREQUAL "/usr")
 # Patch level is always ".0" for mainline (master).  It is blank for development.
 # When starting a stable maintenance branch, this becomes ".N"
 # where N is monotonically increasing starting at 1. Remember to include the "." !!
-set(GANESHA_PATCH_LEVEL .1)
+set(GANESHA_PATCH_LEVEL .3)
 
 # Extra version is for naming development/RC.  It is blank in master/stable branches
 # so it can be available to end-users to name local variants/versions
 # If used, it is always of the form "-whateveryouwant"
-set(GANESHA_EXTRA_VERSION)
+set(GANESHA_EXTRA_VERSION )
 
 set(GANESHA_VERSION ${GANESHA_MAJOR_VERSION}.${GANESHA_MINOR_VERSION}${GANESHA_PATCH_LEVEL}${GANESHA_EXTRA_VERSION})
 set(GANESHA_BASE_VERSION ${GANESHA_MAJOR_VERSION}.${GANESHA_MINOR_VERSION}${GANESHA_PATCH_LEVEL})
@@ -78,6 +78,14 @@
      message( STATUS "Detected a Linux SLES machine" )
      set(DISTRO "SLES")
      set(LIBEXECDIR "/usr/lib")
+  elseif( ${SYS_RELEASE} MATCHES "openSUSE Leap" )
+     message( STATUS "Detected a Linux openSUSE machine" )
+     set(DISTRO "SLES")
+     set(LIBEXECDIR "/usr/lib")
+  elseif( ${SYS_RELEASE} MATCHES "Debian GNU/Linux" OR ${SYS_RELEASE} MATCHES "Ubuntu")
+     message( STATUS "Detected a Linux Debian base machine" )
+     set(DISTRO "DEBIAN")
+     set(LIBEXECDIR "/usr/lib")
   else( ${SYS_RELEASE} MATCHES "Red Hat" )
      message( STATUS "Detected an UNKNOWN Linux machine" )
      set(DISTRO "UNKNOWN")
@@ -102,6 +110,7 @@
   )
 
 find_package(Toolchain REQUIRED)
+find_package(Sanitizers)
 
 # Add maintainer mode for (mainly) strict builds
 include(${CMAKE_SOURCE_DIR}/cmake/maintainer_mode.cmake)
@@ -197,6 +206,7 @@
 option(USE_FSAL_GLUSTER "build GLUSTER FSAL shared library" ON)
 option(USE_FSAL_NULL "build NULL FSAL shared library" ON)
 option(USE_FSAL_RGW "build RGW FSAL shared library" OFF)
+option(USE_FSAL_MEM "build Memory FSAL shared library" ON)
 option(USE_TOOL_MULTILOCK "build multilock tool" OFF)
 
 # nTIRPC
@@ -226,6 +236,7 @@
 option(_VALGRIND_MEMCHECK "Initialize buffers passed to GPFS ioctl that valgrind doesn't understand" OFF)
 option(ENABLE_LOCKTRACE "Enable lock trace" OFF)
 option(PROXY_HANDLE_MAPPING "enable NFSv3 handle mapping for PROXY FSAL" OFF)
+option(DEBUG_MDCACHE "Add various asserts to mdcache" OFF)
 
 # Debug symbols (-g) build flag
 option(DEBUG_SYMS "include debug symbols to binaries (-g option)" OFF)
@@ -290,20 +301,3 @@
 
 # Enable 9P Support
 option(USE_9P "enable 9P support" ON)
-option(USE_9P_RDMA "enable 9P_RDMA support" OFF)
-
-# Enable NFSv3 Support
-option(USE_NFS3 "enable NFSv3 support" ON)
-
-# Enable NLM Support
-option(USE_NLM "enable NLM support" ON)
-
-# AF_VSOCK host support (NFS)
-option(USE_VSOCK "enable AF_VSOCK listener" OFF)
-if(USE_VSOCK)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DRPC_VSOCK")
-endif(USE_VSOCK)
-
-# This option will stop cmake compilation if a requested FSAL could not be built
-option(STRICT_PACKAGE "Enable strict packaging behavior" OFF )
-
